Bug 1819704 (CVE-2019-10392) - CVE-2019-10392 jenkins-git-client-plugin: OS command injection via 'git ls-remote'
Summary: CVE-2019-10392 jenkins-git-client-plugin: OS command injection via 'git ls-re...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-10392
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1819997
Blocks: 1819655
TreeView+ depends on / blocked
 
Reported: 2020-04-01 10:58 UTC by Dhananjay Arunesh
Modified: 2020-06-17 23:20 UTC (History)
10 users (show)

Fixed In Version: jenkins-git-client-plugin 2.8.5, jenkins-git-client-plugin 3.0.0-beta12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-17 23:20:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2478 None None None 2020-06-17 22:38:29 UTC

Description Dhananjay Arunesh 2020-04-01 10:58:15 UTC
Jenkins Git Client Plugin 2.8.4 and earlier and 3.0.0-rc did not properly restrict values passed as URL argument to an invocation of 'git ls-remote', resulting in OS command injection.

Reference:
http://www.openwall.com/lists/oss-security/2019/09/12/2

Comment 1 Dhananjay Arunesh 2020-04-01 10:59:21 UTC
External References:

https://jenkins.io/security/advisory/2019-09-12/#SECURITY-1534

Comment 2 Sam Fowler 2020-04-02 03:17:18 UTC
Fixed in OpenShift Container Platform 4 in the below advisories:

https://access.redhat.com/errata/RHBA-2020:0527
https://access.redhat.com/errata/RHBA-2020:0522
https://access.redhat.com/errata/RHBA-2020:0690

Comment 4 errata-xmlrpc 2020-06-17 22:38:27 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2020:2478 https://access.redhat.com/errata/RHSA-2020:2478

Comment 5 Product Security DevOps Team 2020-06-17 23:20:44 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10392


Note You need to log in before you can comment on or make changes to this bug.